import type { UploadItem } from '@box/uploads-manager';
import { UploadItem as LegacyUploadItem, FolderUploadItem } from '../../../common/types/upload';
export declare function getUploadItemKey(item: LegacyUploadItem | FolderUploadItem, rootFolderId: string): string;
export declare function mapToModernizedUploadItem(item: LegacyUploadItem | FolderUploadItem, rootFolderId: string): UploadItem;
export declare function mapToModernizedUploadItems(items: Array<LegacyUploadItem | FolderUploadItem>, rootFolderId: string): UploadItem[];
